%global owner openstack-infra
%global srcname gear

Name: python-%{srcname}
Version: 0.5.9
Release: 2%{?dist}
Summary: Pure Python Async Gear Protocol Library

Group: Applications/Productivity
License: ASL 2.0
URL: https://github.com/openstack-infra/%{srcname}
Source0: https://pypi.python.org/packages/source/g/%{srcname}/%{srcname}-%{version}.tar.gz
# Patch0001 has been proposed upstream https://review.openstack.org/#/c/186889/
Patch0001: 0001-gear-lint-non-executable-script.patch

BuildArch: noarch

BuildRequires: git
BuildRequires: python2-devel
BuildRequires: python-pbr

# Test requirements
BuildRequires: pyOpenSSL
BuildRequires: python-fixtures
BuildRequires: python-statsd
BuildRequires: python-testrepository
BuildRequires: python-testresources
BuildRequires: python-testscenarios

Requires: python-extras
Requires: python-argparse
Requires: python-daemon
Requires: python-pbr


%description
python-gear implements an asynchronous event-driven interface to Gearman.
It provides interfaces to build a client or worker, and access to the
administrative protocol. The design approach is to keep it simple, with a
relatively thin abstraction of the Gearman protocol itself. It should be
easy to use to build a client or worker that operates either synchronously
or asynchronously. The module also provides a simple Gearman server for
use as a convenience in unit tests. The server is not designed for
production use under load.


%prep
%autosetup -n %{srcname}-%{version} -S git
# Let RPM handle the dependencies
rm -rf {test-,}requirements.txt


%build
%py2_build


%install
%py2_install


%check
%{__python2} setup.py testr


%files
%doc README.rst CONTRIBUTING.rst doc
%license LICENSE
%{_bindir}/*
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*egg-info


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.9-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue Feb 16 2016 Paul Belanger <pabelanger@redhat.com> - 0.5.9-1
- New upstream 0.5.9 (#1304141)
- Update spec to latest python packaging guidelines
- Enable unit testing

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jun 22 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.8-1
- Bump gear source to version 0.5.8
- Add python-pbr as dependency as demo geard needs it

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 29 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.7-1
- Bump gear source to version 0.5.7
- Remove dist version in changelog
- Fix license handling

* Thu Apr 23 2015 Fabien Boucher <fboucher@redhat.com> - 0.5.6-0
- Initial packaging
